Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ClusterMsgHandler Class Reference

List of all members.

## Public Member Functions
def | __init__
def | blockingRead
def | makeCamFrustumDatagram
def | makeCamMovementDatagram
def | makeCamOffsetDatagram
def | makeCommandStringDatagram
def | makeExitDatagram
def | makeNamedMovementDone
def | makeNamedObjectMovementDatagram
def | makeSelectedMovementDatagram
def | makeSwapNowDatagram
def | makeSwapReadyDatagram
def | makeTimeDataDatagram
def | nonBlockingRead
def | parseCamFrustumDatagram
def | parseCamMovementDatagram
def | parseCamOffsetDatagram
def | parseCommandStringDatagram
def | parseNamedMovementDatagram
def | parseSelectedMovementDatagram
def | parseTimeDataDatagram
def | readHeader
## Public Attributes
| notify
| packetNumber

## Detailed Description

    ClusterMsgHandler: wrapper for PC clusters/multi-piping networking

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | packetStart,
|  |  | notify
| ) |  |

## Member Function Documentation

def blockingRead | ( |  | self,
|  |  | qcr
| ) |  |

    Block until data is available on the queued connection reader.
    Returns a datagram iterator and type

def makeCamFrustumDatagram | ( |  | self,
|  |  | focalLength,
|  |  | filmSize,
|  |  | filmOffset
| ) |  |

def makeCamMovementDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr
| ) |  |

def makeCamOffsetDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr
| ) |  |

def makeCommandStringDatagram | ( |  | self,
|  |  | commandString
| ) |  |

def makeExitDatagram | ( |  | self | ) |

def makeNamedMovementDone | ( |  | self | ) |

def makeNamedObjectMovementDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr,
|  |  | scale,
|  |  | color,
|  |  | hidden,
|  |  | name
| ) |  |

def makeSelectedMovementDatagram | ( |  | self,
|  |  | xyz,
|  |  | hpr,
|  |  | scale
| ) |  |

def makeSwapNowDatagram | ( |  | self | ) |

def makeSwapReadyDatagram | ( |  | self | ) |

def makeTimeDataDatagram | ( |  | self,
|  |  | frameCount,
|  |  | frameTime,
|  |  | dt
| ) |  |

def nonBlockingRead | ( |  | self,
|  |  | qcr
| ) |  |

    Return a datagram iterator and type if data is available on the
    queued connection reader

def parseCamFrustumDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def parseCamMovementDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def parseCamOffsetDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def parseCommandStringDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def parseNamedMovementDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def parseSelectedMovementDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def parseTimeDataDatagram | ( |  | self,
|  |  | dgi
| ) |  |

def readHeader | ( |  | self,
|  |  | datagram
| ) |  |

## Member Data Documentation

notify

packetNumber

All Classes Namespaces Functions Variables Enumerations Enumerator Properties